Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network93.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
93.0.0.0
Broadcast address
93.63.255.255
First usable
93.0.0.1
Last usable
93.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 5D000000 · Integer 1560281088 to 1564475391
Reverse DNS zones
0.93.in-addr.arpa
1.93.in-addr.arpa
2.93.in-addr.arpa
3.93.in-addr.arpa
4.93.in-addr.arpa
5.93.in-addr.arpa
6.93.in-addr.arpa
7.93.in-addr.arpa
8.93.in-addr.arpa
9.93.in-addr.arpa
10.93.in-addr.arpa
11.93.in-addr.arpa
12.93.in-addr.arpa
13.93.in-addr.arpa
14.93.in-addr.arpa
15.93.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011101.00000000.00000000.0000000093.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network01011101.00000000.00000000.0000000093.0.0.0
Broadcast01011101.00111111.11111111.1111111193.63.255.255
Split into smaller subnets/17

93.0.0.0/10 makes 128 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
193.0.0.0/1793.0.0.1 to 93.0.127.25493.0.127.25532,766
293.0.128.0/1793.0.128.1 to 93.0.255.25493.0.255.25532,766
393.1.0.0/1793.1.0.1 to 93.1.127.25493.1.127.25532,766
493.1.128.0/1793.1.128.1 to 93.1.255.25493.1.255.25532,766
593.2.0.0/1793.2.0.1 to 93.2.127.25493.2.127.25532,766
693.2.128.0/1793.2.128.1 to 93.2.255.25493.2.255.25532,766
793.3.0.0/1793.3.0.1 to 93.3.127.25493.3.127.25532,766
893.3.128.0/1793.3.128.1 to 93.3.255.25493.3.255.25532,766
993.4.0.0/1793.4.0.1 to 93.4.127.25493.4.127.25532,766
1093.4.128.0/1793.4.128.1 to 93.4.255.25493.4.255.25532,766
1193.5.0.0/1793.5.0.1 to 93.5.127.25493.5.127.25532,766
1293.5.128.0/1793.5.128.1 to 93.5.255.25493.5.255.25532,766
1393.6.0.0/1793.6.0.1 to 93.6.127.25493.6.127.25532,766
1493.6.128.0/1793.6.128.1 to 93.6.255.25493.6.255.25532,766
1593.7.0.0/1793.7.0.1 to 93.7.127.25493.7.127.25532,766
1693.7.128.0/1793.7.128.1 to 93.7.255.25493.7.255.25532,766
1793.8.0.0/1793.8.0.1 to 93.8.127.25493.8.127.25532,766
1893.8.128.0/1793.8.128.1 to 93.8.255.25493.8.255.25532,766
1993.9.0.0/1793.9.0.1 to 93.9.127.25493.9.127.25532,766
2093.9.128.0/1793.9.128.1 to 93.9.255.25493.9.255.25532,766
2193.10.0.0/1793.10.0.1 to 93.10.127.25493.10.127.25532,766
2293.10.128.0/1793.10.128.1 to 93.10.255.25493.10.255.25532,766
2393.11.0.0/1793.11.0.1 to 93.11.127.25493.11.127.25532,766
2493.11.128.0/1793.11.128.1 to 93.11.255.25493.11.255.25532,766
2593.12.0.0/1793.12.0.1 to 93.12.127.25493.12.127.25532,766
2693.12.128.0/1793.12.128.1 to 93.12.255.25493.12.255.25532,766
2793.13.0.0/1793.13.0.1 to 93.13.127.25493.13.127.25532,766
2893.13.128.0/1793.13.128.1 to 93.13.255.25493.13.255.25532,766
2993.14.0.0/1793.14.0.1 to 93.14.127.25493.14.127.25532,766
3093.14.128.0/1793.14.128.1 to 93.14.255.25493.14.255.25532,766
3193.15.0.0/1793.15.0.1 to 93.15.127.25493.15.127.25532,766
3293.15.128.0/1793.15.128.1 to 93.15.255.25493.15.255.25532,766
3393.16.0.0/1793.16.0.1 to 93.16.127.25493.16.127.25532,766
3493.16.128.0/1793.16.128.1 to 93.16.255.25493.16.255.25532,766
3593.17.0.0/1793.17.0.1 to 93.17.127.25493.17.127.25532,766
3693.17.128.0/1793.17.128.1 to 93.17.255.25493.17.255.25532,766
3793.18.0.0/1793.18.0.1 to 93.18.127.25493.18.127.25532,766
3893.18.128.0/1793.18.128.1 to 93.18.255.25493.18.255.25532,766
3993.19.0.0/1793.19.0.1 to 93.19.127.25493.19.127.25532,766
4093.19.128.0/1793.19.128.1 to 93.19.255.25493.19.255.25532,766
4193.20.0.0/1793.20.0.1 to 93.20.127.25493.20.127.25532,766
4293.20.128.0/1793.20.128.1 to 93.20.255.25493.20.255.25532,766
4393.21.0.0/1793.21.0.1 to 93.21.127.25493.21.127.25532,766
4493.21.128.0/1793.21.128.1 to 93.21.255.25493.21.255.25532,766
4593.22.0.0/1793.22.0.1 to 93.22.127.25493.22.127.25532,766
4693.22.128.0/1793.22.128.1 to 93.22.255.25493.22.255.25532,766
4793.23.0.0/1793.23.0.1 to 93.23.127.25493.23.127.25532,766
4893.23.128.0/1793.23.128.1 to 93.23.255.25493.23.255.25532,766
4993.24.0.0/1793.24.0.1 to 93.24.127.25493.24.127.25532,766
5093.24.128.0/1793.24.128.1 to 93.24.255.25493.24.255.25532,766
5193.25.0.0/1793.25.0.1 to 93.25.127.25493.25.127.25532,766
5293.25.128.0/1793.25.128.1 to 93.25.255.25493.25.255.25532,766
5393.26.0.0/1793.26.0.1 to 93.26.127.25493.26.127.25532,766
5493.26.128.0/1793.26.128.1 to 93.26.255.25493.26.255.25532,766
5593.27.0.0/1793.27.0.1 to 93.27.127.25493.27.127.25532,766
5693.27.128.0/1793.27.128.1 to 93.27.255.25493.27.255.25532,766
5793.28.0.0/1793.28.0.1 to 93.28.127.25493.28.127.25532,766
5893.28.128.0/1793.28.128.1 to 93.28.255.25493.28.255.25532,766
5993.29.0.0/1793.29.0.1 to 93.29.127.25493.29.127.25532,766
6093.29.128.0/1793.29.128.1 to 93.29.255.25493.29.255.25532,766
6193.30.0.0/1793.30.0.1 to 93.30.127.25493.30.127.25532,766
6293.30.128.0/1793.30.128.1 to 93.30.255.25493.30.255.25532,766
6393.31.0.0/1793.31.0.1 to 93.31.127.25493.31.127.25532,766
6493.31.128.0/1793.31.128.1 to 93.31.255.25493.31.255.25532,766
6593.32.0.0/1793.32.0.1 to 93.32.127.25493.32.127.25532,766
6693.32.128.0/1793.32.128.1 to 93.32.255.25493.32.255.25532,766
6793.33.0.0/1793.33.0.1 to 93.33.127.25493.33.127.25532,766
6893.33.128.0/1793.33.128.1 to 93.33.255.25493.33.255.25532,766
6993.34.0.0/1793.34.0.1 to 93.34.127.25493.34.127.25532,766
7093.34.128.0/1793.34.128.1 to 93.34.255.25493.34.255.25532,766
7193.35.0.0/1793.35.0.1 to 93.35.127.25493.35.127.25532,766
7293.35.128.0/1793.35.128.1 to 93.35.255.25493.35.255.25532,766
7393.36.0.0/1793.36.0.1 to 93.36.127.25493.36.127.25532,766
7493.36.128.0/1793.36.128.1 to 93.36.255.25493.36.255.25532,766
7593.37.0.0/1793.37.0.1 to 93.37.127.25493.37.127.25532,766
7693.37.128.0/1793.37.128.1 to 93.37.255.25493.37.255.25532,766
7793.38.0.0/1793.38.0.1 to 93.38.127.25493.38.127.25532,766
7893.38.128.0/1793.38.128.1 to 93.38.255.25493.38.255.25532,766
7993.39.0.0/1793.39.0.1 to 93.39.127.25493.39.127.25532,766
8093.39.128.0/1793.39.128.1 to 93.39.255.25493.39.255.25532,766
8193.40.0.0/1793.40.0.1 to 93.40.127.25493.40.127.25532,766
8293.40.128.0/1793.40.128.1 to 93.40.255.25493.40.255.25532,766
8393.41.0.0/1793.41.0.1 to 93.41.127.25493.41.127.25532,766
8493.41.128.0/1793.41.128.1 to 93.41.255.25493.41.255.25532,766
8593.42.0.0/1793.42.0.1 to 93.42.127.25493.42.127.25532,766
8693.42.128.0/1793.42.128.1 to 93.42.255.25493.42.255.25532,766
8793.43.0.0/1793.43.0.1 to 93.43.127.25493.43.127.25532,766
8893.43.128.0/1793.43.128.1 to 93.43.255.25493.43.255.25532,766
8993.44.0.0/1793.44.0.1 to 93.44.127.25493.44.127.25532,766
9093.44.128.0/1793.44.128.1 to 93.44.255.25493.44.255.25532,766
9193.45.0.0/1793.45.0.1 to 93.45.127.25493.45.127.25532,766
9293.45.128.0/1793.45.128.1 to 93.45.255.25493.45.255.25532,766
9393.46.0.0/1793.46.0.1 to 93.46.127.25493.46.127.25532,766
9493.46.128.0/1793.46.128.1 to 93.46.255.25493.46.255.25532,766
9593.47.0.0/1793.47.0.1 to 93.47.127.25493.47.127.25532,766
9693.47.128.0/1793.47.128.1 to 93.47.255.25493.47.255.25532,766
9793.48.0.0/1793.48.0.1 to 93.48.127.25493.48.127.25532,766
9893.48.128.0/1793.48.128.1 to 93.48.255.25493.48.255.25532,766
9993.49.0.0/1793.49.0.1 to 93.49.127.25493.49.127.25532,766
10093.49.128.0/1793.49.128.1 to 93.49.255.25493.49.255.25532,766
10193.50.0.0/1793.50.0.1 to 93.50.127.25493.50.127.25532,766
10293.50.128.0/1793.50.128.1 to 93.50.255.25493.50.255.25532,766
10393.51.0.0/1793.51.0.1 to 93.51.127.25493.51.127.25532,766
10493.51.128.0/1793.51.128.1 to 93.51.255.25493.51.255.25532,766
10593.52.0.0/1793.52.0.1 to 93.52.127.25493.52.127.25532,766
10693.52.128.0/1793.52.128.1 to 93.52.255.25493.52.255.25532,766
10793.53.0.0/1793.53.0.1 to 93.53.127.25493.53.127.25532,766
10893.53.128.0/1793.53.128.1 to 93.53.255.25493.53.255.25532,766
10993.54.0.0/1793.54.0.1 to 93.54.127.25493.54.127.25532,766
11093.54.128.0/1793.54.128.1 to 93.54.255.25493.54.255.25532,766
11193.55.0.0/1793.55.0.1 to 93.55.127.25493.55.127.25532,766
11293.55.128.0/1793.55.128.1 to 93.55.255.25493.55.255.25532,766
11393.56.0.0/1793.56.0.1 to 93.56.127.25493.56.127.25532,766
11493.56.128.0/1793.56.128.1 to 93.56.255.25493.56.255.25532,766
11593.57.0.0/1793.57.0.1 to 93.57.127.25493.57.127.25532,766
11693.57.128.0/1793.57.128.1 to 93.57.255.25493.57.255.25532,766
11793.58.0.0/1793.58.0.1 to 93.58.127.25493.58.127.25532,766
11893.58.128.0/1793.58.128.1 to 93.58.255.25493.58.255.25532,766
11993.59.0.0/1793.59.0.1 to 93.59.127.25493.59.127.25532,766
12093.59.128.0/1793.59.128.1 to 93.59.255.25493.59.255.25532,766
12193.60.0.0/1793.60.0.1 to 93.60.127.25493.60.127.25532,766
12293.60.128.0/1793.60.128.1 to 93.60.255.25493.60.255.25532,766
12393.61.0.0/1793.61.0.1 to 93.61.127.25493.61.127.25532,766
12493.61.128.0/1793.61.128.1 to 93.61.255.25493.61.255.25532,766
12593.62.0.0/1793.62.0.1 to 93.62.127.25493.62.127.25532,766
12693.62.128.0/1793.62.128.1 to 93.62.255.25493.62.255.25532,766
12793.63.0.0/1793.63.0.1 to 93.63.127.25493.63.127.25532,766
12893.63.128.0/1793.63.128.1 to 93.63.255.25493.63.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses